Skip to main content
POST
/
api
/
v2.1
/
customer
/
organization
/
{organizationId}
/
activation
Activate organization
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/activation \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "activationReason": "E2E Test Activation",
  "additionalInfo": {
    "userId": "87b3af37-4ac1-402b-a0ea-53cfdc695e02",
    "activationCode": "E2E_TEST"
  }
}
'
{
  "code": 200,
  "data": {
    "activation": {
      "message": "Organization activated. Wallet provisioning in progress.",
      "status": "ACTIVATING",
      "activatedAt": "2026-03-14T13:21:15.607121624",
      "warnings": [
        "Wallet provisioning is async. Use GET /api/v2.1/customer/organization/{id}/wallet-status to poll."
      ]
    }
  },
  "message": "Success"
}

Headers

User-Agent
string
required

Browser user agent

Example:

"Mozilla/5.0"

X-Forwarded-For
string
required

Client/application Ip address

Example:

"192.168.0.1"

X-Forwarded-From
string
required

Client/application identifier for request source tracking

Example:

"playground"

X-Tenant-ID
string
required

Tenant identifier

Example:

"97e7ff29-15f3-49ef-9681-3bbfcce4f6cd"

X-User-ID
string

Authenticated user identifier

Example:

"87b3af37-4ac1-402b-a0ea-53cfdc695e02"

X-User-Roles
string

Comma-separated user roles

Example:

"ADMIN_USER,COMPLIANCE_OFFICER"

platform
string
required

Client platform identifier. Also accepted as sec-ch-ua-platform

Example:

"web"

deviceId
string
required

Device identifier

Example:

"e2e-test-device"

Authorization
string
required

Bearer token from admin or customer session creation

Example:

"Bearer <token>"

Path Parameters

organizationId
string
required

Organization identifier (UUID)

Example:

"b4c3d4e7-f8a9-0123-b4c5-d6e7f8a9012b"

Body

application/json
activationReason
string
required
Example:

"E2E Test Activation"

additionalInfo
object

Response

200 - application/json

Organization activation initiated

Standard API response wrapper used by all endpoints

code
integer

HTTP status code

Example:

200

data
object

Response from organization activation

message
string

Human-readable status message

Example:

"Success"